Bug 1156487 - RFE: Add support for repoquery --resolve
RFE: Add support for repoquery --resolve
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1156479
  Show dependency treegraph
 
Reported: 2014-10-24 10:50 EDT by Stanislav Ochotnicky
Modified: 2015-05-08 03:27 EDT (History)
8 users (show)

See Also:
Fixed In Version: dnf-plugins-core-0.1.7-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-08 03:27:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2014-10-24 10:50:00 EDT
yum-utils repoquery provides --resolve switch which behaves like this:
$ repoquery --requires python
libc.so.6(GLIBC_2.0)
libdl.so.2
libm.so.6
libpthread.so.0
libpython2.7.so.1.0
libutil.so.1
python-libs(x86-32) = 2.7.5-14.fc20
rtld(GNU_HASH)
libc.so.6(GLIBC_2.2.5)(64bit)
libdl.so.2()(64bit)
libm.so.6()(64bit)
libpthread.so.0()(64bit)
libpython2.7.so.1.0()(64bit)
libutil.so.1()(64bit)
python-libs(x86-64) = 2.7.5-14.fc20
rtld(GNU_HASH)

$ repoquery --requires python --resolve
glibc-0:2.18-11.fc20.i686
python-libs-0:2.7.5-14.fc20.x86_64
glibc-0:2.18-11.fc20.x86_64

In other words it translates symbols/provides into actual package names and deduplicates. We use this in fedora-review during path ownership checks.

Thank you
Comment 1 Tim Lauridsen 2014-10-25 02:23:18 EDT
I will look into this one
Comment 3 Honza Silhan 2015-04-29 08:27:54 EDT
Thanks, Tim.
Comment 4 Fedora Update System 2015-05-02 09:49:57 EDT
dnf-plugins-core-0.1.7-1.fc22,hawkey-0.5.5-1.fc22,dnf-1.0.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.7-1.fc22,hawkey-0.5.5-1.fc22,dnf-1.0.0-1.fc22
Comment 5 Fedora Update System 2015-05-03 13:24:51 EDT
Package dnf-plugins-core-0.1.7-1.fc22, hawkey-0.5.5-1.fc22, dnf-1.0.0-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-core-0.1.7-1.fc22 hawkey-0.5.5-1.fc22 dnf-1.0.0-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-7483/dnf-plugins-core-0.1.7-1.fc22,hawkey-0.5.5-1.fc22,dnf-1.0.0-1.fc22
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2015-05-08 03:27:33 EDT
dnf-plugins-core-0.1.7-1.fc22, hawkey-0.5.5-1.fc22, dnf-1.0.0-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.